<div class="flex flex-col flex-auto"
  style="background-color:#F8F8F8;background-image: url('assets/images/logo/bg.svg'); background-image: url('../../assets/background.png'); background-size: 100% 453px; background-repeat: no-repeat;">

  <div class="flex flex-col items-center sm:justify-center min-w-0">


    <div class="container flex justify-between">
      <div class="flex items-center cursor-pointer" [routerLink]="['/cash-wallet']">
        <mat-icon class="mt-6 mb-6 " style="color: #0038FF;">keyboard_arrow_left</mat-icon><span
          class="mt-6 mb-6 font-Semibold-16" style="color: #0038FF;">Back</span>
      </div>
      <div>
        <mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon>
      </div>
    </div>

    <div *ngIf="statusTier === 'T01'">
      <div class="flex flex-col mx-6" style="margin-top:0px; padding-bottom: 10px;">
        <div class="my-7 font-Semibold-40 text-center font-141461 " style="text-align:center !important;">
          <div>My Current Tier</div>
        </div>
        <div>
          <img class="object-center sm:px-18 pic-width" src="assets/images/bgd/bgd-tier.svg" alt="">
        </div>
        <div class="font-Semibold-56 font-141461 my-5" style="text-align:center !important;">
          <div>Tier 1</div>
        </div>
      </div>
    </div>

    <div *ngIf="statusTier === 'T02'">
      <div class="flex flex-col mx-6" style="margin-top:0px; padding-bottom: 10px;">
        <div class="my-7 font-Semibold-40 text-center font-141461 " style="text-align:center !important;">
          <div>My Current Tier</div>
        </div>
        <div>
          <img class="object-center sm:px-18 pic-width" src="assets/images/coin/bronze-coin.png" alt="">
        </div>
        <div class="font-Semibold-56 font-141461 my-5" style="text-align:center !important;">
          <div>Tier 2</div>
        </div>
      </div>
    </div>

    <div *ngIf="statusTier === 'T03'">
      <div class="flex flex-col mx-6" style="margin-top:0px; padding-bottom: 10px;">
        <div class="my-7 font-Semibold-40 text-center font-141461 " style="text-align:center !important;">
          <div>My Current Tier</div>
        </div>
        <div>
          <img class="object-center sm:px-18 pic-width" src="assets/images/coin/gold-coin.png" alt="">
        </div>
        <div class="font-Semibold-56 font-141461 my-5" style="text-align:center !important;">
          <div>Tier 3</div>
        </div>
      </div>
    </div>


    <div class="flex flex-col items-center sm:justify-center min-w-0">

      <div class="w-full sm:w-auto shadow bg-card box-width" style="width: 491px !important;">
        <!-- Main -->
        <!-- T01 -->
        <div *ngIf="statusTier === 'T01'">
          <div class=" flex flex-col flex-auto items-left justify-center sm:my-7 sm:mx-7">
            <div class="flex">
              <svg xmlns="https://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                stroke="currentColor" class="w-9 h-9 mr-2 text-red-600 p-2"
                style=" background-color: rgb(255, 0, 0,0.1); border-radius: 10px;">
                <path stroke-linecap="round" stroke-linejoin="round"
                  d="M16.5 10.5V6.75a4.5 4.5 0 10-9 0v3.75m-.75 11.25h10.5a2.25 2.25 0 002.25-2.25v-6.75a2.25 2.25 0 00-2.25-2.25H6.75a2.25 2.25 0 00-2.25 2.25v6.75a2.25 2.25 0 002.25 2.25z" />
              </svg>

              <span class="font-Regular-16 mb-2">Upgrade to Tier 2 to unlock more features and
                benefits <br> <a class="font-Regular-16  font-0038ff">Upgrade
                  Now</a></span>
            </div>
          </div>
        </div>

        <!-- T02 -->
        <div *ngIf="statusTier === 'T02'">
          <div class=" flex flex-col flex-auto items-left justify-center my-7 mx-7">
            <div class="flex">
              <svg xmlns="https://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                stroke="currentColor" class="w-6 h-6 mr-2 text-red-600">
                <path stroke-linecap="round" stroke-linejoin="round"
                  d="M16.5 10.5V6.75a4.5 4.5 0 10-9 0v3.75m-.75 11.25h10.5a2.25 2.25 0 002.25-2.25v-6.75a2.25 2.25 0 00-2.25-2.25H6.75a2.25 2.25 0 00-2.25 2.25v6.75a2.25 2.25 0 002.25 2.25z" />
              </svg>

              <span class="font-Regular-16 mb-2">Upgrade to Tier 3 to unlock more features and
                benefits <br> <a class="font-Regular-16 font-0038ff">Upgrade
                  Now</a></span>
            </div>
          </div>
        </div>

        <!-- T03 -->
        <div *ngIf="statusTier === 'T03'">
          <div class="flex flex-col flex-auto items-left justify-center  my-7 ml-7">
            <span class="font-Regular-16 mb-2">You have already unlocked all available features and
              benefits</span>
          </div>
        </div>

      </div>


      <div class="w-full sm:w-auto shadow bg-card mt-4 box-width" style="width: 491px !important;">

        <!-- CONTENT GOES HERE -->
        <!-- CONTENT GOES HERE -->
        <form action="" class="">

          <div *ngIf="statusTier === 'T01'">
            <div class="flex flex-col sm:mx-8 sm:my-3">
              <div class=" relative flex flex-col flex-auto items-left justify-center my-5">
                <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Deposit Limit</span>
                <span class="font-Medium-18 font-black">{{ withdrawLimit1 | currency:'RM' }}</span>
              </div>
              <div class="flex items-left">
                <div class="flex-auto mt-px border-t"></div>
              </div>
              <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                <span class="font-Regular-16 mb-2 font-7B7B7B">Transfer Gold Limit</span>
                <span class="font-Medium-18  font-black">{{transferLimit1 | number: '.2'}} gram</span>
              </div>
              <div class="flex items-left">
                <div class="flex-auto mt-px border-t"></div>
              </div>
              <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                <span class="font-Regular-16 mb-2 font-7B7B7B">Cash Withdrawal Limit</span>
                <span class="font-Medium-18 font-black">{{ depositLimit1 | currency:'RM' }}</span>
              </div>
            </div>


            <div *ngIf="statusTier === 'T02'">
              <div class="flex flex-col sm:mx-8 sm:my-3">
                <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                  <span class="font-Regular-16 mb-2 font-black">Cash Wallet Limit</span>
                  <span class="font-Medium-18  font-black">{{ withdrawLimit2 | currency:'RM' }}</span>
                </div>
                <div class="flex items-left ">
                  <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                  <span class="font-Regular-16 mb-2 font-black">Transfer Gold Limit</span>
                  <span class="font-Medium-18  font-black">{{transferLimit2 | currency:'RM' }}</span>
                </div>
                <div class="flex items-left ">
                  <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                  <span class="font-Regular-16 mb-2 font-black">Monthly Transaction Limit</span>
                  <span class="font-Medium-18  font-black">{{ depositLimit2 | currency:'RM' }}</span>
                </div>
              </div>
            </div>


            <div *ngIf="statusTier === 'T03'">

              <div class="flex flex-col sm:mx-8 sm:my-3">
                <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                  <span class="font-Regular-16 mb-2 font-black">Cash Wallet Limit</span>
                  <span class="font-Medium-18 font-black">{{ withdrawLimit3 | currency:'RM' }}</span>
                </div>
                <div class="flex items-left ">
                  <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                  <span class="font-Regular-16 mb-2 font-black">Transfer Gold Limit</span>
                  <span class="font-Medium-18 font-black">{{transferLimit3 | currency:'RM' }}</span>
                </div>
                <div class="flex items-left ">
                  <div class="flex-auto mt-px border-t"></div>
                </div>
                <div class="relative flex flex-col flex-auto items-left justify-center my-5">
                  <span class="font-Regular-16 mb-2 font-black">Monthly Transaction Limit</span>
                  <span class="font-Medium-18 font-black">{{ depositLimit3 | currency:'RM' }}</span>
                </div>
              </div>
            </div>
          </div>
        </form>

      </div>
      <div class="text-center  items-center justify-center font-Regular-16 font-0038ff my-12">
        <a (click)="tierAllButton()" class="cursor-pointer">View All Tier</a>
      </div>
    </div>

  </div>
</div>